com.hazelcast.config

## Class SecurityInterceptorConfig

- java.lang.Object
- - com.hazelcast.config.SecurityInterceptorConfig

-     public class SecurityInterceptorConfig
      extends Object

  This class is used to configure `SecurityInterceptor`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `className`
    `protected SecurityInterceptor` | `implementation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityInterceptorConfig()`
    `SecurityInterceptorConfig(SecurityInterceptor implementation)`
    `SecurityInterceptorConfig(String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()`
    `SecurityInterceptor` | `getImplementation()`
    `void` | `setClassName(String className)`
    `void` | `setImplementation(SecurityInterceptor implementation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          protected String className

    - #### implementation

          protected SecurityInterceptor implementation

  - ### Constructor Detail

    - #### SecurityInterceptorConfig

          public SecurityInterceptorConfig()

    - #### SecurityInterceptorConfig

          public SecurityInterceptorConfig(String className)

    - #### SecurityInterceptorConfig

          public SecurityInterceptorConfig(SecurityInterceptor implementation)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

    - #### setClassName

          public void setClassName(String className)

    - #### getImplementation

          public SecurityInterceptor getImplementation()

    - #### setImplementation

          public void setImplementation(SecurityInterceptor implementation)

Copyright © 2020. All rights reserved.